/*
 * =====================================================================================
 *
 *       Filename:  regparse.h
 *
 *    Description:  regparse header file
 *
 *        Version:  1.0
 *
 *         Author:  Alexander Aring, a.aring@phytec.de
 *        Company:  PHYTEC
 *
 * =====================================================================================
 */

#ifndef __REGPARSE_H__
#define __REGPARSE_H__

#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <limits.h>

#include <sys/types.h>

#include <linux/videodev2.h>

#define MAX_LINE_LENGTH 1024

/*-----------------------------------------------------------------------------
 *  Parse the register file and call do_something for each regline.
 *-----------------------------------------------------------------------------*/
int do_reg_file_parse(char* filepath, int do_something(__u8 address, __u8 reg,
			__u16 val, char mode));

#endif /* __REGPARSE_H__ */

