# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2009 by Patrick Hess, PHYTEC Messtechnik GmbH
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_FTP_UPLOAD_SCRIPT) += ftp_upload_script

#
# Paths and names
#
FTP_UPLOAD_SCRIPT_VERSION      := 1.1
FTP_UPLOAD_SCRIPT_MD5          := 35302d36ff4db6bb8acf19f26e354e91
FTP_UPLOAD_SCRIPT              := ftp_upload_script-$(FTP_UPLOAD_SCRIPT_VERSION)
FTP_UPLOAD_SCRIPT_SUFFIX       := tar.bz2
FTP_UPLOAD_SCRIPT_URL          := ftp://ftp.phytec.de/pub/BSP_PACKAGES/$(FTP_UPLOAD_SCRIPT).$(FTP_UPLOAD_SCRIPT_SUFFIX)
FTP_UPLOAD_SCRIPT_SOURCE       := $(SRCDIR)/$(FTP_UPLOAD_SCRIPT).$(FTP_UPLOAD_SCRIPT_SUFFIX)
FTP_UPLOAD_SCRIPT_DIR          := $(BUILDDIR)/$(FTP_UPLOAD_SCRIPT)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(FTP_UPLOAD_SCRIPT_SOURCE):
	@$(call targetinfo)
###  We provide the source package locally in the BSP's "src" directory,
###  so we don't have to download anything:
	@$(call get, FTP_UPLOAD_SCRIPT)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/ftp_upload_script.extract:
	@$(call targetinfo)
	@$(call clean, $(FTP_UPLOAD_SCRIPT_DIR))
	@$(call extract, FTP_UPLOAD_SCRIPT)
	@$(call patchin, FTP_UPLOAD_SCRIPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

FTP_UPLOAD_SCRIPT_PATH := PATH=$(CROSS_PATH)
FTP_UPLOAD_SCRIPT_ENV   := $(CROSS_ENV)

#
# autoconf
#
FTP_UPLOAD_SCRIPT_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/ftp_upload_script.prepare:
	@$(call targetinfo)
	@$(call clean, $(FTP_UPLOAD_SCRIPT_DIR)/config.cache)
	cd $(FTP_UPLOAD_SCRIPT_DIR) && \
		$(FTP_UPLOAD_SCRIPT_PATH) $(FTP_UPLOAD_SCRIPT_ENV) \
		./configure $(FTP_UPLOAD_SCRIPT_AUTOCONF)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/ftp_upload_script.compile:
	@$(call targetinfo)
	cd $(FTP_UPLOAD_SCRIPT_DIR) && $(FTP_UPLOAD_SCRIPT_PATH) $(MAKE) $(PARALLELMFLAGS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ftp_upload_script.install:
	@$(call targetinfo)
	@$(call install, FTP_UPLOAD_SCRIPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ftp_upload_script.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ftp_upload_script)
	@$(call install_fixup, ftp_upload_script,PACKAGE,ftp-upload-script)
	@$(call install_fixup, ftp_upload_script,PRIORITY,optional)
	@$(call install_fixup, ftp_upload_script,VERSION,$(FTP_UPLOAD_SCRIPT_VERSION))
	@$(call install_fixup, ftp_upload_script,SECTION,base)
	@$(call install_fixup, ftp_upload_script,AUTHOR,"Patrick Hess, PHYTEC Messtechnik GmbH")
	@$(call install_fixup, ftp_upload_script,DEPENDS,)
	@$(call install_fixup, ftp_upload_script,DESCRIPTION,"Custom FTP upload script")

	### Install the FTP upload script to /usr/sbin/ftp_upload_script
	### on the target's root file system:
	@$(call install_copy, ftp_upload_script, 0, 0, 0755, \
		$(FTP_UPLOAD_SCRIPT_DIR)/ftp_upload_script, \
		/usr/sbin/ftp_upload_script, y)

	@$(call install_finish, ftp_upload_script)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

ftp_upload_script_clean:
	rm -rf $(STATEDIR)/ftp_upload_script.*
	rm -rf $(PKGDIR)/ftp_upload_script_*
	rm -rf $(FTP_UPLOAD_SCRIPT_DIR)

# vim: syntax=make
